Built for seeding database

## Todo ideas...
- Better relationship management
- Ability to subseed so for example categories can be run again straight after so it creates sub-categories
- Have more than boolean for truncate (or maybe add a seperate delete rows with parameters) so product routes and meta data can be removed
- Run queue after seed opiton
- Better management of custom functions, split it out
- Checking naming of methods so it makes more sense
- In the `config.php` i'd like to have a manual ordering of normal plugins so that brands and categories always goes before pages etcetera. This will obviously be able to be overridden by a custom `ev_seedable.php` config.
- The ability to just enter a plugin without the model
- The ability to seed models not within a plugin
- Other stuff

## Seeding
Each seed number will create a different result, the  same seed number will create the same results. It's set to random as default which will generate a new seed on each attempt

##Usage

####All Plugins
`cake EvSeeder.Seed generate`

####Single Plugin
`cake EvSeeder.Seed generate EvShop.Brand`

##Example Config
```
$config = [
	'EvShop' => [
		'showVariants' => true, // show variant/options to the admin during product management
		'showBrands' => true, // show brands in the admin during product management
		'showAttributes' => false, // show attributes in the admin during product management
		'filterOnAttributes' => false, // use attributes in product filters
		
		// blah blah blah
		
		'EvSeedable' => [
			'Brand' => [
				'live' => true, // whether to use this when running the seedshell
				'fields' => [
					'name' => 'words:3',
					'body' => 'paragraph:2',
					'is_active' => 'setValue:1',
					// yeah I know, I nabbed from products seed
					'brand_id' => 'relationshipById:EvShop.Brand',
				],
				'truncate' => true, // truncate the table before populating
				'seeds' => 10, // how many fields to populate
				
			]
		]
	]
];

```

## Field Types

See: https://github.com/fzaninotto/Faker#formatters

To enter parameters separate them with a colon. 

If you require multiple options separate them with pipes

e.g.
 
```[
'fields' => [
	'title' => 'words:6',
	'body' => 'paragraphs:1|imageUrl:400:300|paragraphs:3',
	'author' => 'title:female|firstName:female|lastName
	'created_at' => 'dateTimeThisYear'
]
```

We've created a couple of custom functions

`setValue:theValue` - theValue will be the value...

`relationshipById:EvShop.Brand` - Will pick a random ID from plugin.model, in this case... `EvShop.Brand`

